<div class="login__container">
    <div class="login__body">
        <div class="login__header">
            <span class="login__header--logo">TODO APP</span>
        </div>
        <div class="login__content">
            <div class="login__content--info">Zaloguj się, aby uzyskać dostęp</div>
            <div class="login__input-container">
                <span>Email</span>
                <mat-form-field class="login__content--input" appearance="fill"
                                [ngClass]="{'error': emailControl.touched && emailControl.invalid}"
                >
                    <input type="email" matInput [formControl]="emailControl"
                           placeholder="Wpisz adres e-mail">
                </mat-form-field>
                <span class="login__content--error"
                      *ngIf="emailControl.touched && emailControl.invalid"
                >
                    Wpisz poprawny adres e-mail.
                </span>
            </div>
            <div class="login__input-container">
                <span>Hasło</span>
                <mat-form-field class="login__content--input" appearance="fill"
                                [ngClass]="{'error': passwordControl.touched && passwordControl.invalid}"
                >
                    <input type="password" matInput [formControl]="passwordControl"
                           placeholder="Wpisz hasło">
                </mat-form-field>
                <span class="login__content--error"
                      *ngIf="passwordControl.touched && passwordControl.invalid"
                >
                    Wpisz poprawne hasło.
                </span>
            </div>
            <button mat-button class="login__content--login-btn" (click)="login()"
                    [disabled]="passwordControl.invalid || emailControl.invalid"
            >Zaloguj się</button>
            <div style="text-align: center">
                <span *ngIf="showLoginError" class="login__content--error">
                    Nie udało się zalogować. <br>
                    Spróbuj ponownie.
                </span>
            </div>
        </div>
        <div class="login__credentials">
            Email: test@test.pl <br>
            Hasło: 123456
        </div>
    </div>
</div>